## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanSourceTreeTextIWS Class Reference

Inheritance diagram for XalanSourceTreeTextIWS:

[legend]
Collaboration diagram for XalanSourceTreeTextIWS:

[legend]
List of all members.

## Public Member Functions

- XalanSourceTreeTextIWS (const XalanDOMString &theData, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Constructor.
- virtual ~XalanSourceTreeTextIWS ()
- virtual bool isIgnorableWhitespace () const
    Determine whether the text node instance is composed entirely of XML whitespace.

## Protected Member Functions

- XalanSourceTreeTextIWS (const XalanSourceTreeTextIWS &theSource, bool)

## Constructor & Destructor Documentation

XalanSourceTreeTextIWS::XalanSourceTreeTextIWS | ( | const XalanDOMString & | theData,
|  | XalanNode * | theParentNode = 0,
|  | XalanNode * | thePreviousSibling = 0,
|  | XalanNode * | theNextSibling = 0,
|  | IndexType | theIndex = 0
| ) |

  | Constructor. Parameters:
  theData | The text data of the node
  theParentNode | The parent node, if any.
  thePreviousSibling | The previous sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

virtual XalanSourceTreeTextIWS::~XalanSourceTreeTextIWS | ( |  | ) | `[virtual]`

XalanSourceTreeTextIWS::XalanSourceTreeTextIWS | ( | const XalanSourceTreeTextIWS & | theSource,
|  | bool |
| ) | `[protected]`

## Member Function Documentation

virtual bool XalanSourceTreeTextIWS::isIgnorableWhitespace | ( |  | ) | const`[virtual]`

| Determine whether the text node instance is composed entirely of XML whitespace. Returns: true if the node is all XML whitespace, false if not Reimplemented from XalanSourceTreeText.

The documentation for this class was generated from the following file:

- XalanSourceTreeTextIWS.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.